<bugID>1259390<Summary>Searching inline text inside a node may cause confusion (no way to distinguish text node from parent node)</Summary><Description>&gt;&gt;&gt;   My Info:   Win7_64, Nightly 48, 32bit, ID 20160323030400
STR (2 scenarios: A and B)

1.A) Open   data:text/html,&lt;pre class="paragraph"&gt;1st paragraph.&lt;br&gt;In this paragraph...&lt;/pre&gt;
1.B) Open   data:text/html,&lt;pre class="paragraph"&gt;1st paragraph.%0AIn this paragraph...&lt;/pre&gt;
2. Open devtools -&gt; Inspector. Type "paragraph" in the field "Search HTML".
3. Press Enter
4. Press Enter
5. Press Enter

AR: 
 A) [good] After each pressing of Enter (Steps 3-5) a new element is selected in markup
 B) [bad]
  After each pressing the counter changes: "1 of 2", "2 of 2", but the same element is selected in
  markup. When I inspect a long HTML, it's not always clear whether I should wait some time until the
  next found string is selected OR the string I was searching for is also presented in inline text

ER:  
 It should be easy to distinguish text found inside the node itself and inside its inline text

This was introduced by combination of bug 835896 and bug 892935.
In my personal view both bugs introduced several not nice things that are hard to control</Description></bugID>